
# Make sure the batman_adv module is loaded at boot time
place /etc/modules-load.d/batman-adv.conf:
  file.managed:
      - name: /etc/modules-load.d/batman-adv.conf
      - source: salt://batman/files/batman-adv.module.conf

batman network interface:
  file.managed:
    - name: /etc/network/interfaces.d/batman.cfg
    - makedirs: true
    - user: root
    - group: root
    - mode: 660
    - source: salt://batman/files/batman.j2
    - template: jinja
