roles:
  - test
  - router
  - ffrl-exit
  - babel
  - gateway

pipe_main_export_filter: accept_all

ifaces:
  lo:
    prefixes:
#      - 10.126.255.1/32
#      - 2a06:8187:fb00::1/128
      - 2a03:2260:1004::1/128
  eth0:
    lldp: on
    prefixes:
      - 176.9.211.141/29
      - 2a01:4f8:151:2383::141/64
    gateway:
      - 176.9.211.137
      - fe80::1
    vrf: vrf_external

  gretap-test:
    mode: gretap
    prefixes:
      - 10.11.12.13/24
      - ffdd::babe/64
    remote: 192.168.12.1
    local: 192.168.14.5
    ttl: 1
    dev: eth0

  # NAT IP
  nat:
    link-type: dummy
    prefixes:
      - 192.168.11.2/32
