include:
  - apt.transport.https
  - apt.dependencies

saltstack-repo:
  pkgrepo.managed:
    - humanname: repo.saltstack.com
    - name: deb http://repo.saltstack.com/py3/debian/9/amd64/latest stretch main
    - file: /etc/apt/sources.list.d/saltstack.list
    - clean_file: True
    - key_url: https://repo.saltstack.com/py3/debian/9/amd64/latest/SALTSTACK-GPG-KEY.pub
    - require:
      - pkg: python-apt
      - pkg: apt-transport-https
