---
include:
  - apt.transport.https
  - apt.repository.sid

batctl:
  pkg.installed:
    - fromrepo: sid
    - require:
      - pkg: apt-transport-https
      - pkgrepo: sid

batctl-apt-pin:
  file.accumulated:
    - name: apt.sid.pinning_exceptions
    - filename: /etc/apt/preferences.d/sid-pinning
    - text: batctl
    - require_in:
      - file: /etc/apt/preferences.d/sid-pinning
