{% for domain_key, domain_val in pillar.get('domains', {}).items() %}

/etc/bird/bird6.d/50-radv-dom{{ domain_val['domain_id'] }}.conf:
  file.managed:
    - source: salt://bird/files/gateway/radv.conf.j2
    - user: root
    - grup: root
    - mode: 644
    - template: jinja
    - context:
        domain: {{ domain_key }}
        domain_id: {{ domain_val['domain_id'] }}
    - require:
       - file: /etc/bird/bird6.d

{% endfor %}
